version: '3.6'
services:

    arangoDB:
        image: arangodb/arangodb
        restart: always
        environment:
            - ARANGO_ROOT_PASSWORD=openSesame
        volumes:
            - arangodb_data_container:/var/lib/arangodb3
            - arangodb_apps_data_container:/var/lib/arangodb3-apps
        ports:
            - '8529:8529'
        command:
            - arangod
            - --server.endpoint=tcp://0.0.0.0:8529

    lendingbotweb:
        depends_on:
            - arangoDB
            - lendingbotlend
        image: lendingbotweb
        restart: always
        ports:
            - "5000:5000"
        volumes:
            - ./logs:/LendingBot/logs
            - ./config:/LendingBot/config

    lendingbotlend:
        depends_on:
            - arangoDB
        image: lendingbotlend
        restart: always
        volumes:
            - ./logs:/LendingBot/logs
            - ./config:/LendingBot/config

    lendingbottelegram:
        depends_on:
            - arangoDB
            - lendingbotlend
        image: lendingbottelegram
        restart: always
        volumes:
            - ./logs:/LendingBot/logs
            - ./config:/LendingBot/config

volumes:
  arangodb_data_container:
  arangodb_apps_data_container:
